/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Patrick Boenzli patrick@orxonox.net
   co-programmer:
*/

//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_

#include "object_information_file.h"

#include "resource_oif.h"



/**
 * standard constructor
 */
ObjectInformationFile::ObjectInformationFile()
{
  this->init();
}

/**
 * constructor
 * @param fileName name of the file
 */
ObjectInformationFile::ObjectInformationFile(const std::string& fileName)
  : data(new OIFData())
{
  // load the oif file
  this->data = ResourceOIF(fileName).data;

  this->init();
}


/**
 * copy constructor
 * @param oif instance to copy from
*/
ObjectInformationFile::ObjectInformationFile(const ObjectInformationFile& oif)
  :data(oif.data)
{
  this->init();
}


/**
 * initizlizing function
 */
void ObjectInformationFile::init()
{

}


/**
 * standard deconstructor
*/
ObjectInformationFile::~ObjectInformationFile ()
{
  // delete what has to be deleted here
}



ObjectInformationFile& ObjectInformationFile::operator=(const ObjectInformationFile& oif)
{
  this->data = oif.data;
  return *this;
}



